Bug 232767 - x11-toolkits/wlc: remove port
Summary: x11-toolkits/wlc: remove port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-28 19:21 UTC by Jan Beich
Modified: 2019-01-06 13:45 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (x11)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2018-10-28 19:21:21 UTC
No longer maintained by upstream[1]. v0.0.11 was realeased 1 year ago. Unless you plan to update better remove in order to avoid misleading users this is port is actually maintained[2]. Setting DEPRECATED + EXPIRATION_DATE is unecessary due to lack of consumers in the tree.

[1] https://github.com/Cloudef/wlc/commit/6e2c49bf5789115bf33873f3e0ebe603c8e7725d
[2] https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port
Comment 1 commit-hook freebsd_committer 2018-10-28 20:36:13 UTC
A commit references this bug:

Author: zeising
Date: Sun Oct 28 20:35:27 UTC 2018
New revision: 483353
URL: https://svnweb.freebsd.org/changeset/ports/483353

Log:
  x11-toolkits/wlc: Mark as deprecated

  x11-toolkits/wlc has been deprecated upstream, deprecate it in the ports
  tree and set expiration date.

  https://github.com/Cloudef/wlc/commit/6e2c49bf5789115bf33873f3e0ebe603c8e7725d

  PR:		232767
  Reported by:	jbeich

Changes:
  head/x11-toolkits/wlc/Makefile
Comment 2 Niclas Zeising freebsd_committer 2018-10-28 20:38:25 UTC
Port has been marked as deprecated, removal is slated for slightly over two months, to give any users the chance to move away.
Comment 3 Johannes Lundberg 2018-10-29 08:13:04 UTC
This will be replaced by wlroots as a backend to Sway. A Sway port was done but never committed so there are users outside the tree.

When we get to doing all the Wayland stuff, let's also get wlroots and sway into ports and remove this one. 

All Wayland related ports are still early alpha stage so don't rush into any conclusions.
Comment 4 Jan Beich freebsd_committer 2018-10-29 10:30:50 UTC
(In reply to Johannes Lundberg from comment #3)
> A Sway port was done but never committed so there are users outside the tree.

Do you mean review D13431? It depends on bug 224202 which you've abandoned. If there's no plan to land it then the port has no users in the current shape. External repositories like the one Greg V maintains can revert removal or update Sway port to a version that depends on wlroots.

> When we get to doing all the Wayland stuff, let's also get wlroots and sway
> into ports and remove this one. 

Bug 227509 tries to avoid bitrot. Either stuff is maintained or purged from the tree. Wayland compositors are outside of scope there and may lead to inflow of Wayland-related bug reports which x11@ cannot handle yet. OTOH, an option enabled by default can still be disabled by users that care about the number of dependencies.

> All Wayland related ports are still early alpha stage so don't rush into any
> conclusions.

Why not work in parallel? For one, I want the headache of support of non-default options gone from my ports.
Comment 5 Johannes Lundberg 2018-10-29 10:41:56 UTC
For my part, all wayland stuff has been put on ice until we have wayland enabled in ports by default. That's what a lot of things depend on.
Comment 6 Rene Ladan freebsd_committer 2018-12-31 10:17:09 UTC
Expired port removed.
Comment 7 Jan Beich freebsd_committer 2019-01-06 13:45:42 UTC
wlroots was added in ports r489493.